Vanaf volgende maand, in de Catalyst 9.4-uitgave, zal AMD de ondersteuning van ATI-videokaarten uit de R500-generatie of lager voor Linux stopzetten. De Linux-driver zal alleen nog ondersteuning bieden aan de nieuwste generatie videokaarten, dit zijn alle kaarten van de HD2000-serie en later.

Met de stap hoopt AMD een betere driver te kunnen bieden doordat het de focus kan leggen op een kleiner gedeelte van de markt. Ze hopen ook dat de kwaliteit van de driver, een punt waar AMD traditioneel niet om bekend staat, verhoogd kan worden doordat ze oudere code niet meer hoeven te onderhouden.

Mensen met een oudere videokaart worden geadviseerd om op de opensource-driver over te stappen of om te blijven bij driverversie 9.3. AMD zal echter geen ondersteuning bieden aan de oudere generatie zoals NVIDIA doet met de legacy-uitgaven van hun driver. Na Catalyst 9.3 zal er dan ook geen enkel onderhoud meer gepleegd worden voor de oudere generaties, zelfs geen ondersteuning voor nieuwe uitgaven van X.Org of Linux. De opensource-drivers bieden in veel gevallen daarom een stabiele upgrade vanaf de gesloten drivers.